Migrate to consolidated settings model

- plus CI now uses pipenv
1 job for 2.2-dev in 1 minute and 30 seconds (queued for 1 second)
Status Job ID Name Coverage
  Test
failed #7807
whats-open-py3.5

00:01:30

 
Name Stage Failure
failed
whats-open-py3.5 Test
[pipenv.exceptions.InstallError]:       retry_list, procs, failed_deps_queue, requirements_dir, **install_kwargs
[pipenv.exceptions.InstallError]: File "/usr/local/lib/python3.5/site-packages/pipenv/core.py", line 763, in batch_install
[pipenv.exceptions.InstallError]: _cleanup_procs(procs, not blocking, failed_deps_queue, retry=retry)
[pipenv.exceptions.InstallError]: File "/usr/local/lib/python3.5/site-packages/pipenv/core.py", line 681, in _cleanup_procs
[pipenv.exceptions.InstallError]: raise exceptions.InstallError(c.dep.name, extra=err_lines)
[pipenv.exceptions.InstallError]: ['Collecting black==18.9b0 (from -r /tmp/pipenv-kguznphl-requirements/pipenv-dk02gsvq-requirement.txt (line 1))']
[pipenv.exceptions.InstallError]: ['Could not find a version that satisfies the requirement black==18.9b0 (from -r /tmp/pipenv-kguznphl-requirements/pipenv-dk02gsvq-requirement.txt (line 1)) (from versions: )', 'No matching distribution found for black==18.9b0 (from -r /tmp/pipenv-kguznphl-requirements/pipenv-dk02gsvq-requirement.txt (line 1))']
ERROR: ERROR: Package installation failed...
ERROR: Job failed: exit code 1